Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Merge branch 'master' of github.com:/lunar-linux/moonbase-other

  • Loading branch information...
commit 9920d2f08de953ddd49632c2c0603b9cb1b931e2 2 parents 5b0066c + 906efa9
stumbles authored
View
13 python/pygame/BUILD
@@ -0,0 +1,13 @@
+(
+
+ yes | python config.py &&
+
+ #linux removed v4l1 support -> camera is broken
+ #see e.g. http://lists.fedoraproject.org/pipermail/devel/2011-February/148519.html
+ sedit 's/^\(_camera.*\)/#\1/' Setup &&
+
+ python setup.py build &&
+ prepare_install &&
+ python setup.py install
+
+) > $C_FIFO 2>&1
View
5 python/pygame/DEPENDS
@@ -0,0 +1,5 @@
+depends SDL_image
+depends SDL_ttf
+depends SDL_mixer
+depends smpeg
+depends numpy
View
18 python/pygame/DETAILS
@@ -0,0 +1,18 @@
+ MODULE=pygame
+ VERSION=1.9.1release
+ SOURCE=$MODULE-$VERSION.tar.gz
+SOURCE_DIRECTORY=$BUILD_DIRECTORY/$MODULE-$VERSION
+ SOURCE_URL=http://www.pygame.org/ftp
+ SOURCE_VFY=sha1:a45aeb0623e36ae7a1707b5f41ee6274f72ca4fa
+ WEB_SITE=http://www.pygame.org
+ ENTERED=20030906
+ UPDATED=20101228
+ SHORT="A set of Python modules designed for writing games"
+
+cat << EOF
+Pygame is a set of Python modules designed for writing games. It is
+written on top of the excellent SDL library. This allows you to create
+fully featured games and multimedia programs in the python language.
+Pygame is highly portable and runs on nearly every platform and
+operating system.
+EOF
View
4 video/vlc/DEPENDS
@@ -1,7 +1,7 @@
depends mpeg2dec
depends ffmpeg
-optional_depends "%UDEV" "" "--disable-udev" "for udev support"
+optional_depends "systemd" "" "--disable-udev" "for udev support"
optional_depends "dbus" "" "--disable-dbus --disable-dbus-control" "for dbus support"
optional_depends "neon" "" "--disable-neon" "for neon optimizations spport"
optional_depends "libproxy" "" "--disable-libproxy" "for proxy support"
@@ -33,7 +33,7 @@ optional_depends "freetype2" "" "--disable-freetype" "for TrueType support
optional_depends "pulseaudio" "" "--disable-pulse" "for Pulse Audio support"
optional_depends "libmtp" "" "--disable-mtp" "for Media Transfer Protocol support"
optional_depends "openssh" "--enable-sftp" "--disable-sftp" "for sftp support"
-optional_depends "libdvbpsi" "" "--without-dvbpsi" "for MPEG TS and DVB PSI tables support"
+optional_depends "libdvbpsi" "--enable-dvbpsi" "" "for MPEG TS and DVB PSI tables support"
optional_depends "v4l-utils" "--enable-v4l2" "--disable-v4l2" "for v4l support"
optional_depends "libcddb" "" "--disable-libcddb" "for cddb support"
optional_depends "libshout" "" "--disable-shout" "for shoutcast support"
Please sign in to comment.
Something went wrong with that request. Please try again.